* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: var(--secondary-color);
}

nav {
    position: fixed;
    z-index: 100;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 5px 10px;
    border-bottom: solid 2px var(--fourth-color);
    width: 90%;
    margin: auto;
}

.logo-nav {
    width: 12vh;
}

nav > ul {
    display: flex;
    flex-direction: row;
    gap: 52px;   
    justify-content: center;
    align-items: center; 
}

nav > ul > .lang-links {
    color: var(--main-color);
    font-family: var(--main-font);
    font-size: var(--subtitle-size);
}

.lang-a {
    color: var(--main-color);
}

nav > ul > a {
    width: fit-content;    
    cursor: pointer;
    color: var(--main-color);
    text-align: center;
    font-size: var(--subtitle-size);
    border: none;
    position: relative; 
    overflow: hidden; 
    text-decoration: none;
    font-family: var(--main-font);
}

nav > ul > a:not(#btn-resa-nav)::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%) scaleX(0);
    transform-origin: center;
    width: 100%;
    height: 2px;
    background-color: var(--main-color);
    transition: transform 0.5s ease;
}

nav > ul > a:not(#btn-resa-nav):hover::after {
    transform: translateX(-50%) scaleX(1);
}

#btn-resa-nav {
    border: solid 2px var(--main-color);
    padding: 15px 25px;
    border-radius: 90px;
    color: var(--main-color);
    position: relative;
    overflow: hidden;
    background-color: transparent;
}

#btn-resa-nav:hover {
    color: var(--secondary-color);
}

#btn-resa-nav::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    transform-origin: 50% 50%;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: var(--fourth-color);
    transition: transform 0.5s ease;
    z-index: -1;
}

#btn-resa-nav:hover::after {
    transform: translate(-50%, -50%) scale(1.5);
}


/* Animations / Keyframes */
@keyframes hoverOn {
    from {
        transform: translateX(-50%) scaleX(0);
    }
    to {
        transform: translateX(-50%) scaleX(1);
    }
}

@keyframes hoverOff {
    from {
        transform: translateX(-50%) scaleX(1);
    }
    to {
        transform: translateX(-50%) scaleX(0);
    }
}

.burger-menu {
    display: none;
    flex-direction: column;
    justify-content: space-around;
    width: 2rem;
    height: 2rem;
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 0;
    z-index: 10;
    margin-top: auto;
    margin-bottom: auto;
}


/* Media queries */
@media screen and (max-width: 1400px){
    .logo-nav {
        width: 15vh;
    }

    nav {
        padding: 8px 10px;
    }

    #btn-resa-nav {
        padding: 10px 20px;
    }
}

@media screen and (max-width: 1300px) {
    nav > ul > a {
        font-size: var(--navbar-laptop-small);
    }
    
    nav > ul > .lang-links {
        font-size: var(--navbar-laptop-small);
    }
    
    #btn-resa-nav {
        padding: 10px 15px;
    }
}

@media screen and (max-width: 1100px){
    nav > ul > a {
        font-size: var(--subtitle-size-tablet);
    }
    
    nav > ul > .lang-links {
        font-size: var(--subtitle-size-tablet);    
    }
    
    .burger-menu {
        display: flex;
    }
 
    .nav-links {
        z-index: 10;
        top: 0;
        left: 0;
        position: absolute;
        background-color: var(--secondary-color);
        width: 100vw;
        height: 100vh;
        display: none;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .nav-links.mobile-menu {
        display: flex;
    }
    

}

@media screen and (max-width: 768px){
    nav {
        padding: 10px 10px;
    }

    .logo-nav {
        width: 10vh;
    }

    .nav-links {
        row-gap: 50px;
    }

    nav > ul {
        gap: 20px;
    }
    nav > ul > a {
        font-size: var(--subtitle-size-mobile);
    }

    nav > ul > .lang-links {
        font-size: var(--subtitle-size-mobile);
    }
    
    #btn-resa-nav {
        padding: 10px 20px;
    }
    
}